Description

It's not possible to set the precision of float/double fields in the "Create new layer" (New shp layer) wizard, because a precision column
is missing. Once the new layer is created and added to the the ToC, if | start editing, open the attributes table and then the Field
manager, | can't modify the precision of the double field which is always set to half the length of the field in a hardcoded way. So I'm
forced to delete the field and add it again...!

History

#1 - 07/21/2014 10:58 AM - Antonio Falciano

It seems that the jTxtFieldPrecision JTextField in the CreateNewAttributePanel class is always not enabled for some reason. See also #438.

#2 - 09/17/2014 06:22 AM - Antonio Falciano

This issue is still present in build 2246 and furthermore the "Add field" geoalgorithm of SEXTANTE is actually broken (just like several other ones), so
it's not possible to set the precision of a double field at all.

#3 - 03/04/2020 02:35 PM - Alvaro Anguix

- Category set to Document table

#4 - 05/19/2021 12:12 PM - Alvaro Anguix
- Status changed from New to Closed
